Bug 1267819 - Bug numbers in the Blocks (full) and Depends On (full) columns lack tooltips and CSS classes
Bug numbers in the Blocks (full) and Depends On (full) columns lack tooltips ...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.4
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 02:57 EDT by Jason McDonald
Modified: 2016-09-20 22:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: rh-bugzilla-5.0.3-rh2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 03:49:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2015-10-01 02:57:46 EDT
Description of problem:
Bug 1135866 added linkification of bug numbers in the Blocks (full) and Depends On (full) columns of buglist.cgi.  The bug numbers are displayed as links in that page, but do not have the tooltips normally associated with bug numbers and don't have the CSS classes that would style the links according to bug status (e.g. bz_status_CLOSED to displays a closed bug's number with strikethrough).

Version-Release number of selected component (if applicable):
4.4.9039

How reproducible:
Always

Steps to Reproduce:
1. Open https://bugzilla.redhat.com/buglist.cgi?bug_id=1211440%2C1095592&columnlist=product%2Ccomponent%2Cassigned_to%2Cbug_status%2Cresolution%2Cshort_desc%2Cchangeddate%2Cdependson_all
2. Hover the mouse pointer over one of the links in the Depends On (full) column.

Actual results:
1. Links to closed bugs (e.g. Bug 1211720) are not displayed in strikethrough.
2. When the mouse hovers over a bug number, no tooltip is displayed.

Expected results:
1. Links to closed bugs are displayed in strikethrough.
2. When the mouse hovers over a bug number, a tooltip showing the bug status and title is displayed (provided that the user has rights to view the bug).

Additional info:
none
Comment 1 Rony Gong 2016-05-31 02:13:09 EDT
Tested in QA environment(5.0.3-rh1)
Result: Pass

Note You need to log in before you can comment on or make changes to this bug.